./x11/kde-workspace4, Base workspace for the KDE 4 integrated X11 desktop

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 4.11.22nb15, Package name: kde-workspace4-4.11.22nb15, Maintainer: markd

The kdebase-workspace package consists of what is the desktop for KDE4. The
applications and libraries included aren't required to be portable and probably
will only work with X11. On other desktops such as OS X and Windows, users
wouldn't run these applications, but use the native ones instead. The typical
application shouldn't have dependencies in workspace unless they are a component
such as a screen-saver or panel applet.


Required to run:
[sysutils/desktop-file-utils] [textproc/iso-codes] [graphics/MesaLib] [graphics/hicolor-icon-theme] [math/qalculate] [security/gnupg2] [x11/libXcomposite] [x11/qt4-tools] [x11/libXScrnSaver] [x11/libXdamage] [x11/libxklavier] [x11/qt4-libs] [x11/libXres] [x11/qt4-qdbus] [multimedia/phonon] [graphics/qimageblitz] [misc/kdepimlibs4] [x11/kdelibs4] [security/polkit-qt] [lang/python27] [devel/qjson] [devel/libusb-compat] [x11/xcb-util-keysyms] [x11/xcb-util-renderutil] [x11/xcb-util-image] [x11/libkactivities4]

Required to build:
[sysutils/pciutils] [pkgtools/x11-links] [devel/boost-headers] [devel/automoc4] [x11/xcb-proto] [x11/fixesproto4] [pkgtools/cwrappers] [x11/xorgproto]

Package options: inet6

Master sites: (Expand)

SHA1: f08fbe309ed16c51ad31b0b260b2adeb7af1bb37
RMD160: 0e21e83765194f5ab7b06a725d70f1d791293b8f
Filesize: 13236.004 KB

Version history: (Expand)


CVS history: (Expand)


   2018-04-29 23:32:09 by Adam Ciarcinski | Files touched by this commit (629) | Package updated
Log message:
revbump for boost-libs update
   2018-03-12 12:18:01 by Thomas Klausner | Files touched by this commit (2155)
Log message:
Recursive bumps for fontconfig and libzip dependency changes.
   2018-02-28 00:56:10 by Pierre Pronchery | Files touched by this commit (25)
Log message:
Revbump for packages depending on devel/libusb{,compat}
   2018-02-10 14:53:49 by Pierre Pronchery | Files touched by this commit (39)
Log message:
Import global switch for libusb's implementation [2/2]

This switch is meant to be used by packages requiring an implementation of the
former libusb (as in devel/libusb). The original implementation can be
chosen by setting LIBUSB_TYPE to "native".

The alternative implementation libusb-compat (as in devel/libusb-compat) wraps
libusb1 (in devel/libusb1). This implementation can be chosen by setting
LIBUSB_TYPE to "compat". On NetBSD, it has the advantage of not \ 
requiring root
privileges to locate and use USB devices without a kernel driver.

This second part switches packages using libusb to this framework. It does not
change compilation options or dependencies at this point.

Compile-tested on most packages affected and available on NetBSD/amd64.
   2018-01-17 20:10:23 by Mark Davies | Files touched by this commit (6) | Package updated
Log message:
kde-workspace4: PLIST changes for polkit-qt update plus gcc7 fixes.
   2018-01-01 23:30:04 by Roland Illig | Files touched by this commit (537)
Log message:
Sort PLIST files.

Unsorted entries in PLIST files have generated a pkglint warning for at
least 12 years. Somewhat more recently, pkglint has learned to sort
PLIST files automatically. Since pkglint 5.4.23, the sorting is only
done in obvious, simple cases. These have been applied by running:

  pkglint -Cnone,PLIST -Wnone,plist-sort -r -F
   2018-01-01 22:18:57 by Adam Ciarcinski | Files touched by this commit (629) | Package updated
Log message:
Revbump after boost update
   2017-09-26 15:10:07 by David Brownlee | Files touched by this commit (3)
Log message:
Remove PYTHON_VERSIONS_INCOMPATIBLE now builds with python 3.x